<div>
    <h2 id="page-heading">
        <span jhiTranslate="locadoraApp.midia.home.title">Midias</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-midia" [routerLink]="['/midia/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="locadoraApp.midia.home.createLabel">
            Create new Midia
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="midias">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="idioma"><span jhiTranslate="locadoraApp.midia.idioma">Idioma</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="tipo"><span jhiTranslate="locadoraApp.midia.tipo">Tipo</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="statusMidia"><span jhiTranslate="locadoraApp.midia.statusMidia">Status Midia</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let midia of midias ;trackBy: trackId">
                <td><a [routerLink]="['/midia', midia.id, 'view' ]">{{midia.id}}</a></td>
                <td jhiTranslate="{{'locadoraApp.IdiomaFilme.' + midia.idioma}}">{{midia.idioma}}</td>
                <td jhiTranslate="{{'locadoraApp.TipoMidia.' + midia.tipo}}">{{midia.tipo}}</td>
                <td jhiTranslate="{{'locadoraApp.StatusMidia.' + midia.statusMidia}}">{{midia.statusMidia}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/midia', midia.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/midia', midia.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'midia', { outlets: { popup: midia.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="midias && midias.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
